Page MenuHomePhabricator

Improve logstash logging for graphoid, mobileapps, mathoid
Closed, ResolvedPublic

Description

Graphoid, mobileapps, mathoid and possibly other services are currently logging very little or no useful information to logstash, and instead only write this information to local logs. This complicates the search for errors, identification of trends & the future set-up of alerts.

We should adjust the logging levels for the logstash backend to include a reasonable amount of information about errors and warnings, on par with what we log locally.

Event Timeline

GWicke assigned this task to mobrovac.
GWicke raised the priority of this task from to Normal.
GWicke updated the task description. (Show Details)
GWicke added a project: Services.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2015, 8:32 PM
GWicke set Security to None.Dec 15 2015, 9:19 PM
GWicke added subscribers: bearND, Yurik.
GWicke added a subscriber: Physikerwelt.
bearND added a comment.Mar 8 2016, 5:03 PM

@mobrovac What can we do to help here? We need more useful logging. I still don't know what caused the outage after the deploy yesterday. T129237

bearND awarded a token.Mar 8 2016, 5:04 PM
Pchelolo added a subscriber: Pchelolo.

I need to verify this is still the case and file subtasks for the appropriate teams.

I've created subtasks for Mobile-Content-Service and Mathoid . Graphoid is surprisingly ok regarding logging to logstash. Since the individual subtasks were assigned to appropriate components CPT is not responcible for, I consider this task to be done.

Pchelolo claimed this task.Aug 5 2019, 3:54 PM
Pchelolo added a subscriber: mobrovac.
Pchelolo closed this task as Resolved.Aug 6 2019, 4:16 PM